//Fhead=
Texparent="";
Slidename="";
FheadC="cone";

Start3d();

Putaxes3d(5);
Xyzax3data("","x=[-5,5]","y=[-5,5]","z=[-1,5]");

Fd=["p","x=u*cos(v)","y=u*sin(v)","z=4-2*u",
"u=[0,2]","v=[0,2*pi]","e"
];

FdC=[
 ["x=u*cos(v)","y=u*sin(v)","z=4-2.0*pow(u,1.0)"],
 "u=[0.0,2.0]","v=[0.0,2*M_PI]","e",
//[100,100],[5000,3000,500],[0.01,0.1]
 [50,50],[5000,3000,500],[0.02,0.1]
];

MainC=[
 "writesfbd",["sfbd"],
 "writeax",["ax3d"],
 "writewire",["wire",4,[[1,sqrt(2),sqrt(3)],pi/3*(1..6)]],
 "writecut",["sfcut1",Assign("2*x+a*z-b",["a",0,"b",2])],
 "writecut",["sfcut2",Assign("2*x+a*z-b",["a",0,"b",1.5])],
 "writecut",["sfcut3",Assign("2*x+a*z-b",["a",0,"b",1])]
];

black="Color=[0,0,0]";
red="Color=[1,0,0]";
blue="Color=[0,0,1]";

DispC=[
 "sfbd",["dr"],
 "sfbdh",["do"],
 "ax3d",["dr"],
 "ax3dh",["do"],
 "wire",["dr,0.3"],
 "wireh",["do"],
 "sfcut1",[red],
 "sfcut1h",["do",red],
 "sfcut2",[red],
 "sfcut2h",["do",red],
 "sfcut3",[red],
 "sfcut3h",["do",red]
];

Ch=[1];
if(contains(Ch,0),
 Sf3data("1",Fd);
);
if(contains(Ch,1),
 Changestyle3d(Datalist3d(),["nodisp"]); 
 DisplayC();
);

Windispg();
